python - Aptana त्रुटि- pydev: पोर्ट बाध्य नहीं है(पाया पोर्ट-1)?




(7)

Idubs11 से जानकारी का उपयोग करते हुए, मैं अपना Aptana 3.6.1 (डाउनलोड किया गया 2016-03-01) काम करने में सक्षम था। यह एक ही समस्या प्रदर्शित करता है, पोर्ट बाध्य नहीं है। मैं pydev की स्थापना रद्द करने में सक्षम नहीं था, जब तक ...

  1. मैंने स्थापना साइटों में http://pydev.org/updates जोड़ा है
  2. मैंने स्थापना साइटों में http://preview.appcelerator.com/aptana/studio3/standalone/update/beta/ को शामिल किया
  3. फिर मदद -> अद्यतनों की जांच करें पर क्लिक किया
  4. अद्यतन स्थापित किया।

अब यह एक अजीब स्थिति में था, कोई और नहीं अब और बीटा संस्करण का उपयोग कर रहा है। मैंने तब pydev.org को स्थापित करने के लिए pydev.org साइट का उपयोग किया और अब सब कुछ ठीक काम करता है।

मैंने अभी-अभी अपना Aptana Studio3 अपडेट किया है। जब मैं अपनी अजगर फाइल खोलता हूं तो यह कहती है कि यह map , range और filter और कुछ अन्य तरीकों को नहीं खोज सकता है। लेकिन जब मैं अपना कोड चलाता हूं, तो यह बिना किसी समस्या के चलेगा। मेरा कोड पूरा होने पर कोई काम नहीं करता है। CTRL + SPACE का उपयोग करते समय कोड पूरा होने की त्रुटि

   Port not bound (found port -1). Is there an enabled firewall? 

मैं नहीं जानता कि समस्या कहाँ है? !! मैंने खोज की लेकिन मुझे उचित समाधान नहीं मिला। मैं विंडोज 7 का उपयोग कर रहा हूं।


एक साफ अप्पन पुनर्स्थापना करते हुए मेरे लिए यह तय किया था।


कुछ घंटों के बर्बाद होने के बाद, मैंने सिर्फ liclipse स्थापित किया और समस्या हल हो गई।


मुझे पता है कि ओपी ने विंडोज ओएस के संबंध में मदद मांगी थी, हालांकि अगर कोई भी ओएस एक्स 10.9+ पर यह काम करना चाहता है, तो मूल रूप से डेगोरोकब द्वारा सुझाए गए चरणों का पालन करें, जो हैं:

  • Aptana पर "उपलब्ध सॉफ़्टवेयर साइट्स" को जोड़ने के लिए Aptana Beta लिंक
  • अप्टाना को अपग्रेड 3.6.3। यह PyDev की स्थापना रद्द करेगा।
  • AptD पर "उपलब्ध सॉफ्टवेयर साइट्स" को जोड़ने के लिए PyDev लिंक
  • PyDev स्थापित करें।

लेकिन , जब PyDev को अनचेक करें "केवल उपलब्ध सॉफ़्टवेयर के नवीनतम संस्करण दिखाएं" Aptana की मदद में चेक बॉक्स > नई सॉफ़्टवेयर विंडो स्थापित करें और सुनिश्चित करें कि आप PyDev के नवीनतम 2.xx संस्करण का चयन करते हैं।

PyDev 3.x + को चलाने के लिए Java JDK 7+ की आवश्यकता है, हालाँकि OS X के नवीनतम संस्करणों के लिए किसी भी जावा JDK 7+ को केवल 64 बिट संस्करण के रूप में उपलब्ध है। OS X के लिए Aptana Studio 3 केवल 32 बिट में उपलब्ध लगता है, जिसके लिए 32 बिट JDK की आवश्यकता होती है।

एक अन्य विकल्प 64 बिट ग्रहण आईडीई स्थापित करना और एक प्लगइन के रूप में Aptana स्टूडियो 3.6.1 स्थापित करना और नवीनतम PyDev अलग से है।

नोट: आपको संभवतः Apple से OS X 2014-001 के लिए जावा के नवीनतम संस्करण को डाउनलोड और इंस्टॉल करना होगा। http://support.apple.com/kb/DL1572?viewlocale=en_US&locale=en_US यह संभवत: चांसपांस द्वारा "OSX Yosemite - JVM साझा लाइब्रेरी में JNI_CreateJavaVM सिंबल" थ्रेड "" के उत्तर में उनके उत्तर में सुझाया गया था


मैं कुछ समय के लिए एक ही मुद्दा था। मैंने मूल रूप से पिछली रिलीज़ को डाउनग्रेड किया था, लेकिन अब 3.6.1 बीटा रिलीज़ में अपग्रेड करने का फैसला किया है और यह समस्या ठीक हो गई है। http://preview.appcelerator.com/aptana/studio3/standalone/update/beta/ 3.6.1 में अपग्रेड करने के निर्देश।

PyDev दुभाषिया स्वचालित रूप से स्थापित नहीं हो सकता है जब आप उन्नयन करते हैं तो आपको इसे फिर से स्थापित करना होगा। जरूरत पड़ने पर here निर्देश दिए जाते here


मैं विंडोज 10 चला रहा हूं, मैंने इंस्टॉलर को फिर से चलाकर इस मुद्दे को ठीक किया और "मरम्मत" को चुना। मेरे लिए इस समस्या को ठीक किया और प्रक्रिया में कोई कॉन्फ़िगरेशन नहीं खोई।


लेकिन क्या आपने विंडोज़ फ़ायरवॉल की जाँच की है? जैसा कि यह आईडीई बताता है? आपको अपटाना के लिए एक अपवाद डालने की कोशिश करनी चाहिए और यह काम करना चाहिए .. वास्तव में ऐसा लगता है कि अजगर के निर्माण की विधि सीधे अजगर से नहीं पढ़ती है, लेकिन एक डीबी से, सबसे अधिक संभावना फ़ायरवॉल द्वारा बंद एक बंदरगाह पर सॉकेट के माध्यम से होती है ..







pydev